import request from '/@/utils/request';

export function bigScreenApi() {
	return {
		getGas: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/gasCategory/list',
				method: 'post'
			});
		},
		getAreas: (data: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/region/page',
				method: 'post',
				data: data
			});
		},
		getWarningNum: (data: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/gasWarnLog/gasWarnLogCountByTime',
				method: 'post',
				data: data
			});
		},
		getWindNum: (data: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/gasWarnLog/gasWindRoseByTime',
				method: 'post',
				data: data
			});
		},
		getWarningInfo: (data: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/gasWarnLog/gasWarnLogInfoByTime',
				method: 'post',
				data: data
			});
		},
		getGasNdData: (data: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/gasMonitorData/gas/lineChart',
				method: 'post',
				data: data
			});
		},
		getGasTlData: (data: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/gasMonitorData/gasFlux/lineChart',
				method: 'post',
				data: data
			});
		}
	};
}
